Bug 22102 - Markup fixes for OPAC article request page
Summary: Markup fixes for OPAC article request page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-11 15:13 UTC by Owen Leonard
Modified: 2019-02-01 14:45 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22102: Markup fixes for OPAC article request page (2.34 KB, patch)
2019-01-11 15:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22102: Markup fixes for OPAC article request page (2.46 KB, patch)
2019-01-14 13:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22102: Markup fixes for OPAC article request page (2.51 KB, patch)
2019-01-18 21:43 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 22102: Markup fixes for OPAC article request page (2.58 KB, patch)
2019-01-19 23:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-01-11 15:13:56 UTC
There are a couple of fixes I'd like to make to the OPAC article request page:

- Improve the breadcrumbs menu by adding a link to the title
- Add a header with the record's title
- Wrap the "no article requests" message in the correct dialog div
Comment 1 Owen Leonard 2019-01-11 15:24:59 UTC Comment hidden (obsolete)
Comment 2 José-Mario Monteiro-Santos 2019-01-11 20:25:34 UTC
Failed to apply patch


Bug 22102 - Markup fixes for OPAC article request page

83802 - Bug 22102: Markup fixes for OPAC article request page

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 22102: Markup fixes for OPAC article request page
fatal: sha1 information is lacking or useless (koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-request-article.tt).
error: could not build fake ancestor
Patch failed at 0001 Bug 22102: Markup fixes for OPAC article request page
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-22102-Markup-fixes-for-OPAC-article-request-pa-j8mImP.patch
Comment 3 Owen Leonard 2019-01-14 13:44:38 UTC Comment hidden (obsolete)
Comment 4 Maryse Simard 2019-01-18 21:43:39 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2019-01-19 23:07:10 UTC
Created attachment 84236 [details] [review]
Bug 22102: Markup fixes for OPAC article request page

This patch makes a few improvements to the OPAC article request page:

- Improve the breadcrumbs menu by adding a link to the title
- Add a header with the record's title
- Wrap the "no article requests" message in the correct dialog div
- Remove obsolete CDATA marker

To test, apply the patch and log in to the OPAC

 - Peform a search which will return multiple results
 - Click "Request article" on a title for which article requests can be
   submitted.
   - Confirm that the breadcrumbs menu looks and works correctly.
 - Click "Request article" on a title for which article requsts are not
   allowed.
   - Confirm that the message is correctly styled.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-01-28 16:12:03 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-02-01 14:45:05 UTC
Enhancement, will not be backported to 18.11.x series.